<template>
	<view>
		<view class="itemstyle">
			<uni-forms label-width="180">
				<uni-forms-item label="数量:">
					<uni-easyinput type="text" placeholder="请输入数量" ref='midInput' :focus="!focus" v-model="qty"
						@input="barcodeInput" />
				</uni-forms-item>
				<uni-forms-item label="托盘条码:">
					<uni-easyinput type="text" placeholder="请扫描托盘条码" ref='midInput' :focus="focus" v-model="barcode" />
				</uni-forms-item>
				<uni-forms-item>
					<button @click="OutEmpty" type="primary" size="default" style="margin-top: 2%;">空箱出库</button>
				</uni-forms-item>
			</uni-forms>
		</view>
		<u-toast ref="uToast" />
	</view>
</template>

<script>
	const innerAudioContext = uni.createInnerAudioContext();
	export default {
		data() {
			return {
				focus: false,
				qty: "",
				address: "",
				barcode: "",
			}
		},
		onShow() {},
		onLoad(res) {
			this.WarehouseId = res.warehouseId;
			this.focus = false;
			this.qty = 1;
			if (res.warehouseId == 5) {
				this.address = "8001";
			}
		},
		methods: {
			// voiceSpeech(src) {
			// 	innerAudioContext.src = src; // '../../static/success.mp3';
			// 	innerAudioContext.play();
			// },
			barcodeInput() {
				// this.$nextTick(function(x) {
				// 	if (this.barcode.length > 0) {
				// 		this.focus = true;
				// 	}
				// })
			},
			OutEmpty() {
				if (this.qty == "") {
					this.$refs.uToast.show({
						title: "请输入数量",
						type: 'error'
					})
					return;
				}
				if (this.qty < 1) {
					this.$refs.uToast.show({
						title: "数量不能小于1",
						type: 'error'
					})
					return;
				}
				this.$u.post('/api/Task/OutEmpty?qty=' + this.qty + '&address=' + this.address + '&WarehouseId=' +
					this.WarehouseId + '&barcode=' + this.barcode).then(
					res => {
						if (res.status) {
							this.$refs.uToast.show({
								title: "成功",
								type: "success"
							})
							this.qty = "";
						} else {
							this.$refs.uToast.show({
								title: res.message,
								type: "error"
							})
						}
					})
			},
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	.content {
		display: flex;
		height: 150px;
	}

	.content-text {
		font-size: 14px;
		color: #666;
	}

	.itemstyle {
		margin-top: 30px;
		margin-left: 5%;
	}

	.headerstyle {
		width: 90%;
	}
</style>